BEGIN { OFS=";" }

function untag(tagname)
{
	gsub("[[:space:]]*<" tagname ">[[:space:]]*","");
	gsub("[[:space:]]*</" tagname ">.*","");
}

/<\/printer>/ {
	print make,model,id;
}

/<make>/ {
	if (in_autodetect == 0)
	{
		untag("make");
		make=$0;
	}
}

/<model>/ {
	if (in_autodetect == 0)
	{
		untag("model");
		model=$0;
	}
}

/<autodetect>/ {
	in_autodetect=1;
}

/<\/autodetect>/ {
	in_autodetect=0;
}

/<id>/ {
	untag("id");
	id=$0;
}
